cascading.property

## Class Props

- java.lang.Object
- - cascading.property.Props

- Direct Known Subclasses:
    AggregateByProps, AppProps, CascadeProps, FlowConnectorProps, FlowProps, FlowRuntimeProps, HfsProps, PartitionTapProps, SpillableProps, TrapProps, TupleEntrySchemeIteratorProps, TupleSerializationProps, UniqueProps

      public abstract class Props
      extends java.lang.Object

  Class Props is the base class for frameworks specific properties helper classes.

  Use the sub-classes to either create a `Properties` instance with custom or default values to be passed to any sub-system that requires a Map or Properties instance of properties and values.

  Note some Props sub-classes have static accessors. It is recommended the fluent instance methods be used instead of the static methods. All static accessors may be deprecated in future versions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Props()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `addPropertiesTo(java.util.Properties properties)`
    `java.util.Properties` | `buildProperties()` Method buildProperties returns a new `Properties` instance with all property values for this type.
    `java.util.Properties` | `buildProperties(java.lang.Iterable<java.util.Map.Entry<java.lang.String,java.lang.String>> defaultProperties)` Method buildProperties returns a new `Properties` instance with all property values for this type using the given Iterable> of property values as defaults.
    `java.util.Properties` | `buildProperties(java.util.Map<java.lang.Object,java.lang.Object> defaultProperties)` Method buildProperties returns a new `Properties` instance with all property values for this type using the given Map of property values as defaults.
    `java.util.Properties` | `buildProperties(java.util.Properties defaultProperties)` Method buildProperties returns a new `Properties` instance with all property values for this type using the given Properties instance of property values as defaults.
    `ConfigDef` | `setProperties(ConfigDef configDef)`
    `ConfigDef` | `setProperties(ConfigDef configDef, ConfigDef.Mode mode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Props

          public Props()

  - ### Method Detail

    - #### buildProperties

          public java.util.Properties buildProperties()

      Method buildProperties returns a new `Properties` instance with all property values for this type.

      If no values have been set, all default properties and values will be returned.
      Returns:
        a new Properties instance

    - #### buildProperties

          public java.util.Properties buildProperties(java.util.Map<java.lang.Object,java.lang.Object> defaultProperties)

      Method buildProperties returns a new `Properties` instance with all property values for this type using the given Map of property values as defaults. The given Map will not be modified.

      If no values have been set, all default properties and values will be returned.
      Returns:
        a new Properties instance

    - #### buildProperties

          public java.util.Properties buildProperties(java.lang.Iterable<java.util.Map.Entry<java.lang.String,java.lang.String>> defaultProperties)

      Method buildProperties returns a new `Properties` instance with all property values for this type using the given Iterable> of property values as defaults. The given Iterable will not be modified.

      If no values have been set, all default properties and values will be returned.
      Returns:
        a new Properties instance

    - #### buildProperties

          public java.util.Properties buildProperties(java.util.Properties defaultProperties)

      Method buildProperties returns a new `Properties` instance with all property values for this type using the given Properties instance of property values as defaults. The given Map will not be modified.

      If no values have been set, all default properties and values will be returned.
      Returns:
        a new Properties instance

    - #### setProperties

          public ConfigDef setProperties(ConfigDef configDef)

    - #### setProperties

          public ConfigDef setProperties(ConfigDef configDef,
                                ConfigDef.Mode mode)

    - #### addPropertiesTo

          protected abstract void addPropertiesTo(java.util.Properties properties)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.